### Class

# PapersDocument Attachment

#### Description

    class PapersDocument.Attachment : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### pps_attachment_new

No description available.

#### Functions

###### pps_attachment_error_quark

No description available.

#### Instance methods

###### pps_attachment_get_creation_datetime

No description available.

###### pps_attachment_get_description

No description available.

###### pps_attachment_get_mime_type

No description available.

###### pps_attachment_get_modification_datetime

No description available.

###### pps_attachment_get_name

No description available.

###### pps_attachment_open

No description available.

###### pps_attachment_save

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### PapersDocument.Attachment:cdatetime

No description available.

###### PapersDocument.Attachment:data

No description available.

###### PapersDocument.Attachment:description

No description available.

###### PapersDocument.Attachment:mdatetime

No description available.

###### PapersDocument.Attachment:name

No description available.

###### PapersDocument.Attachment:size

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PapersDocumentAttachmentClass {
      GObjectClass base_class;

    }

No description available.

###### Class members

`base_class: GObjectClass`

  No description available.